C......................................................................
C     HMF2 EQUATION FROM :                                            .
C     DUDENY, J.R., "THE ACCURACY OF SIMPLE METHODS FOR DETERMINING   .
C       THE HEIGHT OF THE MAXIMUM ELECTRON CONCENTRATION OF THE F2-   .
C       LAYER FROM SCALED IONOSPHERIC CHARACTERISTICS",               .
C     J. ATMOS. TERR. PHYSICS, VOL 45, NO. 8/9, PP. 629-640, 1983     .
C     - ERROR IN HPF2 20% WHEN XE=2.0; 60% WHEN XE=1.7                .
C     - MOST APPROPRIATE FOR 15-60 DEGREES MAGNETIC DIP LATITUDE      .
C     - BY CCIR RECOMMENDATION, ADJUST XE TO BE >= 1.7                .
C......................................................................
170   XE = FOF2 / FOE
      IF ( XE.LT.1.7 ) XE = 1.7
      IF ( (CGLAT.GE.PHIA).AND.(CGLAT.LE.PB) ) XE = AMAX1( XE,2.2 )
      DELTAM = (0.253/(XE-1.215)) - 0.012
      CALL FLDHR(KX,UX,GGLAT,GGLON,M3000,TIME)
      F = M3000 * SQRT((0.0196*M3000*M3000+1)/(1.2967*M3000*M3000-1))
      HMAX = (1490.*F)/(M3000+DELTAM) - 176.
